> ## Documentation Index
> Fetch the complete documentation index at: https://docs.defindex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vault information

> **User Experience Function**: Retrieves comprehensive information about a specific vault including metadata, total value locked (TVL), underlying assets, and current strategies.



## OpenAPI

````yaml GET /vault/{address}
openapi: 3.0.0
info:
  title: DeFindex API
  description: API documentation for DeFindex endpoints
  version: 1.0.0
  contact: {}
  x-logo:
    url: https://links.paltalabs.io/defindex-full.svg
    backgroundColor: '#0e0e0e'
    altText: DeFindex Logo
    href: https://defindex.io
servers: []
security: []
tags: []
paths:
  /vault/{address}:
    get:
      tags:
        - Vault
      summary: Get vault information
      description: >-
        **User Experience Function**: Retrieves comprehensive information about
        a specific vault including metadata, total value locked (TVL),
        underlying assets, and current strategies.
      operationId: VaultController_getVaultInfo
      parameters:
        - name: address
          required: true
          in: path
          description: Stellar address of the vault contract
          schema:
            example: CBNKCU3HGFKHFOF7JTGXQCNKE3G3DXS5RDBQUKQMIIECYKXPIOUGB2S3
            type: string
        - name: network
          required: true
          in: query
          description: Stellar network to execute the transaction on (testnet or mainnet)
          schema:
            enum:
              - testnet
              - mainnet
            type: string
      responses:
        '200':
          description: Vault information retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                    description: Vault display name
                    example: DeFindex-Vault-BeansUsdcVault
                  symbol:
                    type: string
                    description: Vault token symbol/ticker
                    example: BNSUSDC
                  roles:
                    type: object
                    description: Administrative role assignments
                    properties:
                      manager:
                        type: string
                        description: Manager address with full administrative control
                        example: G...A
                      emergencyManager:
                        type: string
                        description: Emergency manager address for rescue operations
                        example: G...A
                      rebalanceManager:
                        type: string
                        description: Rebalance manager address for asset rebalancing
                        example: G...A
                      feeReceiver:
                        type: string
                        description: Fee receiver address that receives management fees
                        example: G...A
                  assets:
                    type: array
                    description: Supported underlying assets
                    items:
                      type: object
                      properties:
                        address:
                          type: string
                          description: Asset contract address
                          example: >-
                            CCW67TSZV3SSS2HXMBQ5JFGCKJNXKZM7UQUWUZPUTHXSTZLEO7SJMI75
                        name:
                          type: string
                          description: Full asset identifier
                          example: >-
                            USDC:GA5ZSEJYB37JRC5AVCIA5MOP4RHTM335X2KGX3IHOJAPP5RE34K4KZVN
                        symbol:
                          type: string
                          description: Asset symbol
                          example: USDC
                        strategies:
                          type: array
                          description: Investment strategies available for this asset
                          items:
                            type: object
                            properties:
                              address:
                                type: string
                                description: Strategy contract address
                                example: >-
                                  CDB2WMKQQNVZMEBY7Q7GZ5C7E7IAFSNMZ7GGVD6WKTCEWK7XOIAVZSAP
                              name:
                                type: string
                                description: Strategy identifier/name
                                example: usdc_blend_autocompound_fixed
                              paused:
                                type: boolean
                                description: Whether strategy is currently paused
                                example: false
                  totalManagedFunds:
                    type: array
                    description: Current asset allocation (TVL breakdown)
                    items:
                      type: object
                      properties:
                        asset:
                          type: string
                          description: Asset address
                          example: >-
                            CCW67TSZV3SSS2HXMBQ5JFGCKJNXKZM7UQUWUZPUTHXSTZLEO7SJMI75
                        idle_amount:
                          type: string
                          description: >-
                            Amount not currently invested (string to handle
                            large numbers)
                          example: '0'
                        invested_amount:
                          type: string
                          description: Total amount currently invested in strategies
                          example: '7167250947314'
                        strategy_allocations:
                          type: array
                          description: Per-strategy allocation breakdown
                          items:
                            type: object
                            properties:
                              amount:
                                type: string
                                description: Amount allocated to this strategy
                                example: '7167250947314'
                              paused:
                                type: boolean
                                description: Strategy pause status
                                example: false
                              strategy_address:
                                type: string
                                description: Strategy contract address
                                example: >-
                                  CCSRX5E4337QMCMC3KO3RDFYI57T5NZV5XB3W3TWE4USCASKGL5URKJL
                        total_amount:
                          type: string
                          description: Total amount (idle + invested) for this asset
                          example: '7167250947314'
                  feesBps:
                    type: object
                    description: Fee structure in basis points (1 bps = 0.01%)
                    properties:
                      vaultFee:
                        type: number
                        description: Vault management fee in basis points (0 = no fee)
                        example: 0
                      defindexFee:
                        type: number
                        description: DeFindex platform fee in basis points (2000 bps = 20%)
                        example: 2000
                  apy:
                    type: number
                    description: Current Last 7d APY (%)
                    example: 19.41
                example:
                  name: DeFindex-Vault-BeansUsdcVault
                  symbol: BNSUSDC
                  roles:
                    manager: G...A
                    emergencyManager: G...A
                    rebalanceManager: G...A
                    feeReceiver: G...A
                  assets:
                    - address: CCW67TSZV3SSS2HXMBQ5JFGCKJNXKZM7UQUWUZPUTHXSTZLEO7SJMI75
                      name: >-
                        USDC:GA5ZSEJYB37JRC5AVCIA5MOP4RHTM335X2KGX3IHOJAPP5RE34K4KZVN
                      symbol: USDC
                      strategies:
                        - address: >-
                            CDB2WMKQQNVZMEBY7Q7GZ5C7E7IAFSNMZ7GGVD6WKTCEWK7XOIAVZSAP
                          name: usdc_blend_autocompound_fixed
                          paused: false
                        - address: >-
                            CCSRX5E4337QMCMC3KO3RDFYI57T5NZV5XB3W3TWE4USCASKGL5URKJL
                          name: usdc_blend_autocompound_yieldblox
                          paused: false
                  totalManagedFunds:
                    - asset: CCW67TSZV3SSS2HXMBQ5JFGCKJNXKZM7UQUWUZPUTHXSTZLEO7SJMI75
                      idle_amount: '0'
                      invested_amount: '7167250947314'
                      strategy_allocations:
                        - amount: '0'
                          paused: false
                          strategy_address: >-
                            CDB2WMKQQNVZMEBY7Q7GZ5C7E7IAFSNMZ7GGVD6WKTCEWK7XOIAVZSAP
                        - amount: '7167250947314'
                          paused: false
                          strategy_address: >-
                            CCSRX5E4337QMCMC3KO3RDFYI57T5NZV5XB3W3TWE4USCASKGL5URKJL
                      total_amount: '7167250947314'
                  feesBps:
                    vaultFee: 0
                    defindexFee: 2000
                  apy: 19.41
        '400':
          description: Bad request - invalid parameters
        '403':
          description: Forbidden - caller is not authorized for this operation

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.